;; Evaluate this form to recompile all.
;; Must use Emacs 18 so that the byte code works on any emacs.

;;; ----------------------------------------------------------------------
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1993-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(progn
  (if (not (string-match "^GNU Emacs 18" (emacs-version)))
      (error "not using Emacs 18"))
  (setq load-path (cons "/nfs/talk/work/talk/emacs" load-path))
  (let ((elcs (directory-files default-directory () ".*.elc$")))
    (while elcs
      (delete-file (car elcs))
      (setq elcs (cdr elcs))))
  (require 'talk-loop)
  (setq features
	(tm:loop ((f in: features))
		 (if (not (string-match "talk-" (symbol-name f)))
		     (tm:collect f))))
  (require 'talk-comm)
  (load-file "/usr/local/ibin/lisp/utils/backquote.el")
  (byte-compile-file "talk-comm.el")
  (byte-compile-file "talk-desc.el")
  (byte-compile-file "talk-groups.el")
  (byte-compile-file "talk-groups18.el")
  (byte-compile-file "talk-groups19.el")
					;(byte-compile-file "talk-lcompat.el")
  (byte-compile-file "talk-loop.el")
  (byte-compile-file "talk-macros.el")
  (byte-compile-file "talk-mode.el")
  (byte-compile-file "talk-mode18.el")
  (byte-compile-file "talk-mode19.el")
  (byte-compile-file "talk-process.el")
  (byte-compile-file "talk-process18.el")
  (byte-compile-file "talk-process19.el")
  (byte-compile-file "talk-prunit.el")
  (byte-compile-file "talk-server.el")
  (byte-compile-file "talk-server18.el")
  (byte-compile-file "talk-server19.el")
  (byte-compile-file "talk-sites.el")
  (byte-compile-file "talk-sites18.el")
  (byte-compile-file "talk-sites19.el")
  (byte-compile-file "talk-struct.el")
  (byte-compile-file "talk-lcompat.el"))

